dialog {
    /*z-index: 3;
    position: fixed;*/
    top: 50%;
    /*left: 50%;
    transform: translate(-50%, -50%);
    width: auto;*/
    transform: translate(0, -50%);
    outline: -webkit-focus-ring-color auto 1px;
    overflow-wrap: anywhere;
    hyphens: auto;
    position: fixed;
}

dialog a:focus-visible {
    outline: none;
}

#persistentWarning {
    z-index: 2;
    display: none;
    position: fixed;
    background-color: canvas;
    color: canvastext;
    border: 2px solid;
    padding: 1em;
    bottom: 1em;
    left: 1em;
}

html {
    --color-primary: #313131;
    --color-placeholder: #6d6d6d;
    --color-primary-hover: bisque;
    --color-bg: seashell;
    /*height: 100%;*/
}

body {
    font-family: Lusitana;
    font-size: 16pt;
    text-rendering: optimizeLegibility;
    color: var(--color-primary);
    background-color: var(--color-bg);
    display: flex;
    flex-direction: column;
    height: 100dvh;
    /*height: 100%;*/
}

header {
    border-bottom: 1px solid var(--color-primary);
    padding: 1em;
    /*flex-shrink: 0;*/
    height: 3.25em;
    display: flex;
}

footer {
    border-top: 1px solid var(--color-primary);
    padding: 1em;
    text-align: left;
    flex-shrink: 0;
    height: calc(32pt + 10px);
}

footer a {
    color: var(--color-primary);
    text-decoration: none;
    position: relative;
    bottom: 2.3em;
    background-color: var(--color-bg);
    padding: 0 1em;
    font-size: .75em;
}

main {
    flex: 1 0 auto;
}

#menu_link {
    color: var(--color-primary);
    margin-right: 12px;
    margin-top: 1px;
}